Package org.postgresql.core

# Interface ReplicationProtocol

All Known Implementing Classes:
  `V3ReplicationProtocol`

public interface ReplicationProtocol

Abstracts the protocol-specific details of physic and logic replication.

With each connection open with replication options associate own instance ReplicationProtocol.

## Method Summary

Modifier and Type
Method
Description
`PGReplicationStream`
`startLogical(LogicalReplicationOptions options)`
`PGReplicationStream`
`startPhysical(PhysicalReplicationOptions options)`

## Method Details

### startLogical

PGReplicationStream startLogical(LogicalReplicationOptions options) throws SQLException

Parameters:
  `options` - not null options for logical replication stream
Returns:
  not null stream instance from which available fetch wal logs that was decode by output plugin
Throws:
  `SQLException` - on error

### startPhysical

PGReplicationStream startPhysical(PhysicalReplicationOptions options) throws SQLException

Parameters:
  `options` - not null options for physical replication stream
Returns:
  not null stream instance from which available fetch wal logs
Throws:
  `SQLException` - on error